<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        if($prihlasen) { header("Location: index.php"); }

        $klic = orez_retezec_2($_GET[klic]);
        $registrace_data = mysql_fetch_array(dotaz("SELECT * FROM forum_potvrdit WHERE klic = '$klic';"));
        if(mysql_affected_rows() == 0) {
                $ukonceni_registrace = FALSE;
        } else {
                $ukonceni_registrace = TRUE;
                $jmeno = $registrace_data[1];
                dotaz("SELECT id FROM forum_uzivatele WHERE (jmeno = '$jmeno');");
                if(mysql_affected_rows() != 0) { $chyba_registrace .= "Registrace se jménem <b>".$jmeno."</b> již byla někdy potvrzena.<br />"; }

                $email = $registrace_data[2];
                dotaz("SELECT id FROM forum_uzivatele WHERE (email = '$email');");
                if((mysql_affected_rows() != 0) && (!empty($email))) { $chyba_registrace .= "Registrace s emailem <b>".$email."</b> již byla někdy potvrzena.<br />"; }

                if(empty($chyba_registrace)) {
                        $mesice = Array("ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");
                        $mesic = date("n") - 1;
                        $zalozen = date("j").".".$mesice[$mesic]." ".date("Y");
                        dotaz("INSERT INTO forum_uzivatele SET jmeno = '$registrace_data[jmeno]', email = '$registrace_data[email]', heslo = '$registrace_data[heslo]', www = '$registrace_data[www]', icq = '$registrace_data[icq]', jabber = '$registrace_data[jabber]', skype = '$registrace_data[skype]', msn = '$registrace_data[msn]', admin = '0', prispevku = '0', temat = '0', zalozen = '$zalozen';");
                        dotaz("DELETE FROM forum_potvrdit WHERE id = '$registrace_data[id]' LIMIT 1;");
                }
        }

        echo hlavicka("$forum_jmeno | Potvrzení registrace");
        echo logo();
        echo menu();

        if(!$ukonceni_registrace) {
                echo "\t<div id=\"navigace\">Potvrzení registrace</div>\n\t\t<div id=\"oznameni\">Pro tento odkaz nebyla nalezena žádná registrace čekající na potvrzení.</div>\n";
        } elseif(!empty($chyba_registrace)) {
                echo "\t<div id=\"navigace\">Potvrzení registrace</div>\n\t\t<div id=\"oznameni\">".$chyba_registrace."</div>\n";
        
        } else {
                echo "\t<div id=\"navigace\">Potvrzení registrace</div>\n\t\t<div id=\"oznameni\"><b>Registrace byla úspěšně potvrzena.</b><br />Nyní se již můžete <a href=\"prihlaseni.php\" title=\"Přihlášení\">přihlásit</a></div>\n";
        }

        echo $paticka; 
?>